<?php
/**
 *
 * @author  ahrasis	http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		ACPS - Ajax Continuous Post Scrolling
 *
 */

if (!defined('SMF')) 
	die('Hacking attempt...');

function ACPS_JQuery()
{
	global $context, $modSettings, $topic;

	// Add the styling(s)
	if (!empty($modSettings['acps_enable']) && !empty($topic)) {
	$context['html_headers'] .= '<script type="text/javascript">
        window.jQuery || document.write(\'<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"><\/script>\');
    </script>';
	}
}

function ACPS_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('ACPS');
	// Add setting(s)
	$acps = array(
			'',
			array('check', 'acps_enable'),
			array('check', 'acps_disable_quick_modify'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $acps);
}
?>